AI resources
Get point of sale

This endpoint allows to get the configuration of a specific point of sale identified by its ID. The point of sale must belong to the Access Token user. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v2/pos/{pos_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
pos_id
string

REQUIRED

It is the numeric identifier of the point of sale, automatically assigned by Mercado Pago at creation time. Must be a valid integer greater than or equal to 0.
Response parameters
id
integer
It is the unique numeric identifier of the point of sale, automatically generated by Mercado Pago at creation time. When you register a point of sale, you will receive a corresponding ID. This ID can be used for various
name
string
It is the name of the point of sale, defined by the integrator at creation time.
status
string
It indicates the current status of the point of sale. Possible values: active (the point of sale is enabled and available to receive payments) and inactive (the point of sale is disabled and cannot receive payments).
undefined: undefined
undefined: undefined
date_created
string
It is the date and time the point of sale was created. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z.
Errors

400Bad request

resource_bad_request_error

The pos_id provided in the path is not a valid integer or is negative. Verify that the value is a non-negative base-10 integer.

bad_request

The pos_id provided in the path is not a valid integer or does not belong to the Access Token user. Verify that the value is a non-negative base-10 integer and that the point of sale is associated with your account.

401Unauthorized

unauthorized

The value sent as Access Token is incorrect or missing. Please check and try again with a valid Access Token.

404Not found

pos_not_found

No point of sale was found for the provided pos_id and the Access Token user. Verify that the ID is correct and belongs to your account.

500Internal server error

internal_server_error

An unexpected error occurred on the server. This is a transient failure not related to the request data. Please try again after a few moments.

Request
curl -X GET \
    'https://api.mercadopago.com/v2/pos/{pos_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-5*********956537-12*********ff1a3d36d*********47e7b9985*********770' \
    
Response
{
  "id": 1234567,
  "name": "POS-001",
  "status": "active",
  "date_created": "2024-01-15T10:30:00Z",
  "date_last_updated": "2024-03-01T08:00:00Z",
  "user_id": 123456,
  "external_id": "SUC001POS001",
  "config": {
    "qr": {
      "operating_mode": "pdv"
    }
  },
  "qr_response": {
    "uuid": "0977011a027c4b4387e52069da4264deae2946af4dcc44ee98a8f1dbb376c8a1",
    "image": "https://www.mercadopago.com/instore/merchant/qr/1234567/abc123.png",
    "template_document": "https://www.mercadopago.com/instore/merchant/qr/1234567/template_abc123.pdf",
    "template_image": "https://www.mercadopago.com/instore/merchant/qr/1234567/template_abc123.png",
    "qr_code": "00020101021226940014BR.GOV.BCB.PIX2572pix-qr-h.mercadopago.com/instore/h/p/v2/abc123"
  }
}